Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598647 - blktrace cannot be killed cleanly
Summary: blktrace cannot be killed cleanly
Keywords:
Status: CLOSED DUPLICATE of bug 583624
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: blktrace
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 19:08 UTC by zhezhang
Modified: 2014-01-27 09:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-24 16:32:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description zhezhang 2010-06-01 19:08:59 UTC
Description of problem:

In testing blktrace on a 8 CPU machine I was encountered with a problem similar to the on discussed in http://markmail.org/thread/sr2mfqsvhpeet4go

In other words, blktrace would work fine for the first run, and then give the “BLKTRACESETUP: No such file or directory” error on the second run. This problem doesn’t occur if I use the -w option to let blktrace finish. If I try to kill it with -k, or the Linux kill command, I have this error message and have to reboot the machine. I’m wondering if you are aware of any patch addressing this problem?

Version-Release number of selected component (if applicable):


How reproducible:

It occurs every time I kill blktrace with -k option or Linux kill command. 

Steps to Reproduce:
1. blktrace -d /dev/sda -o output-0 &
2. blktrace -d /dev/sda -k
3. blktrace -d /dev/sda -o output-0 &
  
Actual results:

BLKTRACESETUP(2) /dev/sda failed: 2/No such file or directory

Expected results:

blktrace running and collecting results

Additional info:

Comment 1 Edward Shishkin 2010-06-24 16:32:51 UTC
This duplicates 583624 and there is a similar bz 513950 for rhel5.

*** This bug has been marked as a duplicate of bug 583624 ***


Note You need to log in before you can comment on or make changes to this bug.